    // Перепишите функцию, используя оператор '?' или '||'
    // Следующая функция возвращает true, если параметр age больше 18. 
    // В ином случае она задаёт вопрос confirm и возвращает 
    // его результат.

    // Вихідна умова задачі
	function checkAge(age) {
	if (age > 18) {
	return true;
	} else {
	return confirm('Родители разрешили?');
	} }

    // Переписана функція, з використанням '?' або '||'

    // створюю власне, саму функцію.
    function checkAge2(age) {
    // створюю нову змінну, і з допомогою тернарного оператора
    // переписую умову (але if для мене зрозуміліший, і
    // питання: чому не написати age >= 18 ?. Мовляв, має право робити щось,
    // коли тобі вже є 18 років).

        let check = age > 18 ? true : "Родители разрешили?";
    // повертаю нову змінну.
        return check;
     }



// Напиши функцию map(fn, array), которая принимает на вход функцию и 
// массив, и обрабатывает каждый элемент массива этой функцией, 
// возвращая новый массив.

// Створюю функцію
function map(fn, array) {
// створюю новий масив, спочатку він пустий
    let newArr = [];
// перебираю масив по кожному елементу
    for (let i = 0; i < array.lenght; i++) {
// функція працює з кожним елементом масиву 
        fn(array[i]);
    }
// повертаю новий масив
    return newArr;
}

